Download it now!
Bug 48968 - Depth of 3D pie chart reduced (thus hatching not visible)
Summary: Depth of 3D pie chart reduced (thus hatching not visible)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-04-20 06:49 UTC by Florian Reisinger
Modified: 2019-12-03 14:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Reisinger 2012-04-20 06:49:49 UTC
1) Open circle diagram test file from https://bugs.freedesktop.org/show_bug.cgi?id=48923
2) Compare the diagram with the picture
3) Increase the size of the diagram
4) @number 6there should be a hatching, but it seems to be identical with 2 , just colour). You can't see the single lines properly...
Tested with Libo 3.5.2 @ Win7 x64
Tested with LibO 3.4.6 and OO.org 3.2 + 2.3 @ Ubuntu 12.04 x64
Comment 1 Florian Reisinger 2014-07-05 11:09:26 UTC
Hatching means.... Difficult for a non native speaker....
If you closely look at the legend at the small picture next to 6th you do not see one single color, but red and white mixed like this, but turned by 45°
|    |    |
-------------
|    |    |
-------------
|    |    |
-------------

Looking at the diagram, the hatching is not there, it is like a solid color.... If you increase the size of the diagram, hatching is visible (see picture on the right side of test doc)
Comment 2 Owen Genat (retired) 2014-07-16 10:13:10 UTC
I have opened the attachment using these versions under Crunchbang 11 x86_64 / Debian 7 x86_64:

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
- v4.3.0.2 Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409
- v4.4.0.0.alpha0+ Build ID: 3fdd4f069d5436cf39708004af7fda8175fbc4c2 (2014-07-09)

v3.5.7.2 renders the pie chart as expected. All other versions render the pie chart with a reduced depth (the disc is shallower / about half that shown in the graphic) which compresses the hatching on segment 6 to the point where it is difficult to discern. 

(In reply to comment #1)
> If you increase the size of the diagram, hatching is visible (see
> picture on the right side of test doc)

Confirmed (in later versions). The problem would thus appear to be more with the depth of the 3D pie chart than with hatching visibility.

Status set to NEW. Summary edited for clarity. Version set to v3.5.7.2. Platform set to All/All.
Comment 3 QA Administrators 2015-07-18 17:44:17 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-10-23 09:17:13 UTC
Yep, unable to locate hatching.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-11-08 11:22:01 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:02:13 UTC
Dear Florian Reisinger,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug